/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.areachartfxexample;

import javafx.application.Application;
import static javafx.application.Application.launch;
import javafx.scene.Scene;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;
import org.jfree.chart.ChartFactory;
import org.jfree.chart.JFreeChart;
import org.jfree.chart.fx.ChartViewer;
import org.jfree.data.xy.DefaultXYDataset;

/**
 *
 * @author omozegieaziegbe
 */
public class AreaChartFXExample extends Application {

    @Override
    public void start(Stage primaryStage) throws Exception {
        // Create dataset
        DefaultXYDataset dataset = new DefaultXYDataset();
        double[][] data = { {1, 2, 3, 4, 5}, {10, 20, 15, 25, 30} };
        dataset.addSeries("Data Series", data);

        // Create JFreeChart (Area Chart)
        JFreeChart chart = ChartFactory.createXYAreaChart("Area Chart Example", "X-axis", "Y-axis",
                dataset);

        // Create a ChartViewer to display JFreeChart in JavaFX
        ChartViewer chartViewer = new ChartViewer(chart);

        // Create JavaFX Scene and add ChartViewer to it
        StackPane root = new StackPane();
        root.getChildren().add(chartViewer);
        Scene scene = new Scene(root, 800, 600);

        // Set up the stage and show the JavaFX application
        primaryStage.setTitle("Area Chart Example");
        primaryStage.setScene(scene);
        primaryStage.show();
    }

    public static void main(String[] args) {
        // Launch the JavaFX application
        launch(args);
    }
}