/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.barchartfxexample;

import javafx.application.Application;
import static javafx.application.Application.launch;
import javafx.scene.Scene;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;
import org.jfree.chart.ChartFactory;
import org.jfree.chart.JFreeChart;
import org.jfree.chart.fx.ChartViewer;
import org.jfree.data.category.DefaultCategoryDataset;

/**
 *
 * @author omozegieaziegbe
 */
public class BarChartFXExample extends Application {

    @Override
    public void start(Stage primaryStage) throws Exception {
        // Create dataset
        DefaultCategoryDataset dataset = new DefaultCategoryDataset();
        dataset.addValue(200, "Sales", "Product A");
        dataset.addValue(300, "Sales", "Product B");
        dataset.addValue(400, "Sales", "Product C");

        // Create JFreeChart (Bar Chart)
        JFreeChart chart = ChartFactory.createBarChart("Product Sales", "Product", "Sales", dataset);

        // Create a ChartViewer to display JFreeChart in JavaFX
        ChartViewer chartViewer = new ChartViewer(chart);

        // Create JavaFX Scene and add ChartViewer to it
        StackPane root = new StackPane();
        root.getChildren().add(chartViewer);
        Scene scene = new Scene(root, 800, 600);

        // Set up the stage and show the JavaFX application
        primaryStage.setTitle("Bar Chart Example");
        primaryStage.setScene(scene);
        primaryStage.show();
    }

    public static void main(String[] args) {
        // Launch the JavaFX application
        launch(args);
    }
}
