/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.piechartfxexample;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;
import org.jfree.chart.ChartFactory;
import org.jfree.chart.JFreeChart;
import org.jfree.chart.fx.ChartViewer;
import org.jfree.data.general.DefaultPieDataset;

/**
 *
 * @author omozegieaziegbe
 */
public class PieChartFXExample extends Application {

    @Override
    public void start(Stage primaryStage) throws Exception {
        // Create dataset
        DefaultPieDataset dataset = new DefaultPieDataset();
        dataset.setValue("Apple", 50);
        dataset.setValue("Orange", 30);
        dataset.setValue("Banana", 20);

        // Create JFreeChart (Pie Chart)
        JFreeChart chart = ChartFactory.createPieChart("Fruit Distribution", dataset, true, true, false);

        // Create a ChartViewer to display JFreeChart in JavaFX
        ChartViewer chartViewer = new ChartViewer(chart);

        // Create JavaFX Scene and add ChartViewer to it
        StackPane root = new StackPane();
        root.getChildren().add(chartViewer);
        Scene scene = new Scene(root, 800, 600);

        // Set up the stage and show the JavaFX application
        primaryStage.setTitle("JFreeChart Pie Chart Example");
        primaryStage.setScene(scene);
        primaryStage.show();
    }

    public static void main(String[] args) {
        // Launch the JavaFX application
        launch(args);
    }
}
